{
  description = "nixos config";

  outputs =
    inputs:
    with inputs;
    let
      modules = import ./util/get-modules.nix {
        inherit inputs;
      };
      create = import ./create.nix {
        inherit inputs;
        system = "x86_64-linux";
        sharedModules =
          (modules [
            culr
            meat
            niri
            niri-tag
            lix-module
            # smooooth
          ])
          ++ [
            nix-index-database.nixosModules.nix-index
            ./system/substituters.nix
          ];
      };
    in
    {
      nixosConfigurations = create.systems {
        quiver = {
          user = "bolt";
          imports = (modules [ nyx ]);
        };
        adrift.user = "plank";
      };
    };

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    nixpkgs-stable.url = "github:NixOS/nixpkgs/nixos-24.11";

    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    helix.url = "github:helix-editor/helix";

    nix-index-database.url = "github:Mic92/nix-index-database";

    nix-rice.url = "github:bertof/nix-rice";

    nil.url = "github:oxalica/nil";

    lix = {
      url = "https://git.lix.systems/lix-project/lix/archive/main.tar.gz";
      flake = false;
    };

    lix-module = {
      url = "https://git.lix.systems/lix-project/nixos-module/archive/main.tar.gz";
      inputs.nixpkgs.follows = "nixpkgs";
      inputs.lix.follows = "lix";
    };

    meat = {
      url = "git+https://git.atagen.co/atagen/meat";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    culr = {
      url = "git+https://git.atagen.co/atagen/culr";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    # comfyui = {
    #   url = "path:./flakes/comfyui";
    #   inputs.nixpkgs.follows = "nixpkgs";
    # };

    # comfyui-plugins = {
    #   url = "path:./flakes/comfyui-plugins";
    #   inputs.nixpkgs.follows = "nixpkgs";
    # };

    niri.url = "github:sodiboo/niri-flake";

    hjem = {
      url = "github:feel-co/hjem";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    hudcore.url = "git+https://git.atagen.co/atagen/hudcore-plymouth.git";

    quickshell = {
      url = "git+https://git.outfoxxed.me/quickshell/quickshell.git";
      inputs.nixpkgs.follows = "nixpkgs";
    };

    nyx.url = "github:chaotic-cx/nyx/nyxpkgs-unstable";

    # smooooth.url = "path:/home/bolt/code/smooooth";

    niri-tag = {
      url = "git+https://git.atagen.co/atagen/niri-tag";
      inputs.niri-flake.follows = "niri";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

}
